#sidebarBg {
    height: 100vh;
    width: 100vw;
    position: fixed;
    z-index: 90;
    background-color: rgba(0, 0, 0, 0.4);
}

#sidebar {
    height: 100vh;
    width: 100%;
    background-color: var(--preto);
    padding: 150px 30px;
    z-index: 999;
}

#sidebar .container{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}

#sidebar .sidebarFuncoes img {
    transition: filter 0.6s;
    cursor: pointer;
}

#sidebar .sidebarFuncoes img:hover {
    filter: brightness(0) saturate(100%) invert(17%) sepia(90%) saturate(3797%) hue-rotate(346deg) brightness(82%) contrast(97%);
}


#sidebar nav ul {
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

#sidebar li:hover {
    text-decoration: underline;
}

#sidebar li {
    list-style: none;
}

#sidebar li a {
    text-decoration: none;
    color: var(--branco);
}

#sidebar .sidebarSocial ul {
    display: flex;
    gap: 25px;
    padding: 0;
}

/* === ESTADO PADRÃO (FECHADO) === */
#sidebarBg {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease;
}

#sidebar {
    transform: translateX(-100%);
    transition: transform 0.5s ease;
}

/* === ESTADO ABERTO (ATIVO) === */
#sidebarBg.ativo {
    opacity: 1;
    pointer-events: all;
}

#sidebarBg.ativo #sidebar {
    transform: translateX(0);
}
